# Build project from bundled dependencies
%global with_bundled 1
# Build with debug info rpm
%global with_debug 1

%if 0%{?with_debug}
%global _dwz_low_mem_die_limit 0
%else
%global debug_package   %{nil}
%endif

%if ! 0%{?gobuild:1}
%define gobuild(o:) go build -ldflags "${LDFLAGS:-} -B 0x$(head -c20 /dev/urandom|od -An -tx1|tr -d ' \\n')" -a -v -x %{?**};
%endif

%global provider        github
%global provider_tld    com
%global project         kubernetes-csi
%global repo            external-provisioner
# https://github.com/kubernetes-incubator/external-storage
%global provider_prefix %{provider}.%{provider_tld}/%{project}/%{repo}

%global import_path     %{provider_prefix}
%global version         0.2.0

Name:           csi-provisioner
Version:        %{version}
Release:        3%{?dist}
Summary:        External provisioner for CSI volumes
License:        ASL 2.0
URL:            https://%{provider_prefix}
Source0:        https://%{provider_prefix}/archive/v%{version}/external-provisioner-v%{version}.tar.gz

Patch1:         csi-provisioner-fstype.patch

# e.g. el6 has ppc64 arch without gcc-go, so EA tag is required
ExclusiveArch:  %{?go_arches:%{go_arches}}%{!?go_arches:%{ix86} x86_64 aarch64 %{arm} ppc64le s390x}
# If go_compiler is not set to 1, there is no virtual provide. Use golang instead.
BuildRequires:  %{?go_compiler:compiler(go-compiler)}%{!?go_compiler:golang}

%description
%{summary}.

%prep
%setup -q -n %{repo}-%{version}
%patch1 -p1

%build
mkdir -p src/%{provider}.%{provider_tld}/%{project}
ln -s ../../../ src/%{import_path}
export GOPATH=$(pwd):$(pwd)/repo-infra/vendor:%{gopath}

%gobuild -o ./bin/csi-provisioner %{import_path}/cmd/csi-provisioner

%install
install -d -p %{buildroot}%{_bindir}
install -p -m 0755 bin/csi-provisioner %{buildroot}%{_bindir}

%files
%{_bindir}/csi-provisioner
%license LICENSE
%doc README.md

%changelog
* Mon May 21 2018 jsafrane <jsafrane@redhat.com> - 0.2.0-2
- Add support for fsType configuration (#1579273)

* Wed Apr 04 2018 jsafrane <jsafrane@redhat.com> - 0.2.0-1
- First release
